package com.ejie.ab79.model.inspecciones;

import com.ejie.ab79.model.procedimientos.Direcciones;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * EstadosInspeccion  
 * 
 *  
 */

public class EstadosInspeccion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idEstadoInspeccion;
	private Direcciones direccion;
	private OrigenesInspeccion origenInspeccion;
	private DesEstIns desEstIns;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltimaModificacion;
	private String usuarioUltimaModificacion;
	private Integer baja;
	private Integer idInspeccion;

	/**
	 * Method 'EstadosInspeccion'.
	 */
	public EstadosInspeccion() {
	}

	/**
	 * Method 'EstadosInspeccion'.
	 * 
	 * @param idEstadoInspeccion
	 *            Long
	 */
	public EstadosInspeccion(Long idEstadoInspeccion) {
		this.idEstadoInspeccion = idEstadoInspeccion;
	}

	/**
	 * Method 'EstadosInspeccion'.
	 * 
	 * @param idEstadoInspeccion
	 *            Long
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public EstadosInspeccion(Long idEstadoInspeccion,
			Date fechaRegistro, String usuarioRegistro) {

		this.idEstadoInspeccion = idEstadoInspeccion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdEstadoInspeccion'.
	 *
	 * @return Long
	 */

	public Long getIdEstadoInspeccion() {
		return this.idEstadoInspeccion;
	}

	/**
	 * Method 'setIdEstadoInspeccion'.
	 *
	 * @param idEstadoInspeccion
	 *            Long
	 * @return
	 */

	public void setIdEstadoInspeccion(Long idEstadoInspeccion) {
		this.idEstadoInspeccion = idEstadoInspeccion;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public Direcciones getDireccion() {
		return direccion;
	}

	public void setDireccion(Direcciones direccion) {
		this.direccion = direccion;
	}

	public OrigenesInspeccion getOrigenInspeccion() {
		return origenInspeccion;
	}

	public void setOrigenInspeccion(OrigenesInspeccion origenInspeccion) {
		this.origenInspeccion = origenInspeccion;
	}

	public DesEstIns getDesEstIns() {
		return desEstIns;
	}

	public void setDesEstIns(DesEstIns desEstIns) {
		this.desEstIns = desEstIns;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltimaModificacion() {
		return fechaUltimaModificacion;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltimaModificacion(Date fechaUltimaModificacion) {
		this.fechaUltimaModificacion = fechaUltimaModificacion;
	}

	public String getUsuarioUltimaModificacion() {
		return usuarioUltimaModificacion;
	}

	public void setUsuarioUltimaModificacion(String usuarioUltimaModificacion) {
		this.usuarioUltimaModificacion = usuarioUltimaModificacion;
	}

	public Integer getBaja() {
		return baja;
	}

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idEstadoInspeccion: ").append(this.idEstadoInspeccion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
